inherit_from: .rubocop_todo.yml

AllCops:
  StyleGuideCopsOnly: true
  Include:
    - 'Gemfile'
    - 'Rakefile'
    - '.jsduck/CustomTags.rb'
  Exclude:
      - 'node_modules/**/*'
      - 'vendor/**/*'
      - 'lib/ve/**/*'

Metrics/LineLength:
  Max: 100

Metrics/MethodLength:
  Enabled: false

Style/Alias:
  Enabled: false

Style/SignalException:
  Enabled: false

Style/StringLiterals:
  EnforcedStyle: single_quotes

Style/TrivialAccessors:
  ExactNameMatch: true
